Differences between revisions 141 and 444 (spanning 303 versions)
Revision 141 as of 2018-03-05 10:04:29
Size: 28270
Editor: BoyuanYang
Comment: explain that libqxt is to be removed
Revision 444 as of 2020-03-09 21:54:27
Size: 32455
Editor: ?jmmdebian
Comment: Switched to Qt5
Deletions are marked like this. Additions are marked like this.
Line 3: Line 3:

'''Debian Testing and Unstable (Sid) has removed src:qt4-x11 since 2020-03-07. Any package that still depends on Qt4 will be left uninstallable. For details, see Debian Bug DebianBug:953294 .'''
Line 59: Line 61:
[[https://bugs.launchpad.net/ubuntu/+bugs?field.tag=qt4-removal|Ubuntu's Qt 4 Removal]]
Line 68: Line 71:
 * acoustid-fingerprinter DebianBug:874807
 * adwaita-qt DebianBug:874816 -> dual Qt4 and Qt5 binary packages
 * akonadi4 DebianBug:874808 -> it has a Qt5 counterpart; needed by src:kdepimlibs
 * alsoft-conf DebianBug:874809
 * alt-key DebianBug:874810
 * amarok DebianBug:874811 -> "kf5 branch upstream -> but not in master yet."
 * amora-server DebianBug:874812
 * ams DebianBug:874823
 * appmenu-qt DebianBug:874825
 * attal DebianBug:874827
 * attica DebianBug:874818 -> needed by src:kde4libs
 * audex DebianBug:874819 -> git master is Qt5, but unmaintained; will be autoRMed from testing once libkcompactdisc and libkcddb are migrated to KF5
 * auralquiz DebianBug:874821 -> "Qt5 supported upstream since 0.9.0 -> Debian has 0.8.x"
 * automoc DebianBug:874822 -> needed by src:kde4libs, and by anything based on kdelibs 4.x built using cmake
 * avogadro DebianBug:874834 -> version 1.90 (beta of 2.0) supports Qt5
 * bacula DebianBug:874836
 * ball DebianBug:874837
 * baloo DebianBug:874826 -> needed by src:kdepim4
 * bareos DebianBug:874839
 * basket DebianBug:874829 -> "Qt5 alpha exists -> tosky is keeping an eye on it"
 * boats DebianBug:874833
 * bppphyview DebianBug:874835
 * breeze DebianBug:874840 -> "part of Plasma to theme Qt4 apps -> needed as long as there is Qt4 around"
 * cdcat DebianBug:874843
 * choreonoid DebianBug:874844
 * clementine DebianBug:874850
 * cmtk DebianBug:874853
 * codequery DebianBug:874855
 * collatinus DebianBug:874856
 * connectomeviewer DebianBug:875494
 * connectome-workbench DebianBug:874859
 * convertall DebianBug:874848
 * cortina DebianBug:874849
 * cppreference-doc DebianBug:874862
 * daemonfs DebianBug:874864
 * dc-qt DebianBug:874866 -> upstream inactive for 4 years, long orphaned
 * debconf DebianBug:629405
 * dgedit DebianBug:874852
 * doomsday DebianBug:874870 -> version 2.x is Qt5-based
 * dssi DebianBug:874857
 * eqonomize DebianBug:874860
 * esperanza DebianBug:874861
 * fbreader DebianBug:874867 -> *Linux version apparently dead with no work in progress and not even unstable Qt5 port, see https://github.com/geometer/FBReader/issues/285
 * fcitx DebianBug:874868 -> Qt4 support to be removed upon Qt4 removal.
 * fcitx-kkc DebianBug:874869 -> New version using Qt5 prepared in repo Vcs (not uploaded yet)
 * felix-latin DebianBug:874881
 * ffdiaporama DebianBug:874874
 * flightcrew DebianBug:874875
 * fmit DebianBug:874884
 * fraqtive DebianBug:874888
 * freecad DebianBug:874877 -> see qt4webkit removal page
 * freemat DebianBug:874878
 * freemedforms-project DebianBug:874880 -> the README.md of 1.0 says "FreeMedForms and derivatives are coded in C++ / Qt5."
 * freeplayer DebianBug:874882 -> "'Upstream is long dead.' according the packager -> will be removed"
 * gambas3 DebianBug:874896
 * gammaray DebianBug:874883 -> the version in sid has some trouble buldings, but it is Qt5-based; it provides a subpackage for inspecting Qt4 objects (gammaray-probe-qt4) that can be dropped alongside Qt4
 * gazebo DebianBug:874898 -> the release 8.0.0 switched to Qt5
 * geophar DebianBug:875497
 * gle-graphics DebianBug:874901
 * gmic DebianBug:874889
 * gnash DebianBug:874890
 * gns3 DebianBug:874891
 * gnudoq DebianBug:874892
 * gr-fosphor DebianBug:874899
 * gr-radar DebianBug:874900
 * grantlee DebianBug:874908 -> needed by src:kdepim4
 * hamfax DebianBug:874911 -> last upstream commit in 2011
 * hedgewars DebianBug:874913
 * heimdall-flash DebianBug:874915
 * hgview DebianBug:875499
 * holdingnuts DebianBug:874917
 * hydrogen DebianBug:874907 -> Qt5 support available upstream (merged after the last release 0.9.7) but unreleased
 * ibus-qt DebianBug:874920
 * ifpgui DebianBug:874912
 * ifrit DebianBug:874921
 * ike DebianBug:874914
 * imagevis3d DebianBug:874916
 * jovie DebianBug:874922 -> replaced by Qt Speech in Qt 5.10
 * jreen DebianBug:874918
 * kaccessible DebianBug:874927 -> functionality included in Qt5 -> dropped from KDE Applications 17.12; keep it around for kdelibs 4.x applications
 * kactivities DebianBug:874925 -> needed by src:kde-runtime
 * kalternatives DebianBug:874928 -> upstream porting in progress
 * kamerka DebianBug:874926
 * karlyriceditor DebianBug:874931 -> Qt5 support since 2.0 (2015-12-13), last version is 2.2
 * kate4 DebianBug:874932 -> needed by anything using kdelibs 4.x, as kde-runtime -> kdelibs5-plugins -> katepart
 * kchmviewer DebianBug:874936 -> it has a Qt5 version upstream apparently
 * kcollectd DebianBug:874938
 * kdbg DebianBug:874941 -> 3.0.0 (2017-12-12) is Qt5
 * kde-baseapps DebianBug:874942 -> split into few Qt5 tarballs since KDE Applications 16.12
 * kde-runtime DebianBug:874944 -> linked to kde4libs, and needed for anything using kdelibs 4.x
 * kde4libs DebianBug:874945 -> can be dropped as long as no applications depends on it
 * kdepim4 DebianBug:874947 -> it contains knode and ktimetracker, not available for Qt5
 * kdepimlibs DebianBug:874937 -> see kdepim4 and few other dependencies
 * kdiff3 DebianBug:874949 -> Qt5 port in progress in an official repository
 * keepassx DebianBug:874950 -> the keepassxc fork is Qt5
 * keurocalc DebianBug:874952
 * kfilemetadata DebianBug:874953 -> needed by src:baloo
 * kmetronome DebianBug:874954
 * kmidimon DebianBug:874955
 * kmldonkey DebianBug:874956
 * kmouth DebianBug:874959 -> Qt5 since KDE Applications 17.12
 * kmymoney DebianBug:874961 -> "Qt5 in master -> hopefully a release is coming"
 * knights DebianBug:874962 -> "master is Qt5-based -> quite stable, but few bugs, work in progress"
 * knutclient DebianBug:874964
 * komparator DebianBug:874981 -> looks dead upstream, requires libkonq4 (will be RMed once src:konqueror is switched to the KF5 version)
 * kopete DebianBug:874985 -> dropped from KDE Applications 17.12 (not ported), but it will be ported for KDE Applications 18.04
 * kover DebianBug:874968
 * kpartsplugin DebianBug:874969
 * kppp DebianBug:874970 -> dropped from KDE Applications 17.12 (not ported)
 * kprinter4 DebianBug:874973
 * kradio4 DebianBug:874977 -> ask pino
 * kraft DebianBug:874993 -> Qt5 version on github (under development)
 * krecipes DebianBug:874978 -> no upstream Qt5 branch
 * kredentials DebianBug:874979
 * kremotecontrol DebianBug:874980 -> dropped from KDE Applications 17.12 (not ported)
 * kscd DebianBug:874987 -> dropped from KDE Applications 17.12 (not ported), but it will be ported for KDE Applications 18.04
 * ktikz DebianBug:874996 -> "Qt5 branch upstream -> work in progress -> unreleased"
 * kvkbd DebianBug:874999 -> no activity recently, but most likely can be replaced by qtvirtualkeyboard (Plasma requirement)
 * kvpnc DebianBug:875003
 * kxstitch DebianBug:875004 -> Qt5 version released upstream for a while
 * launchy DebianBug:875020
 * lfhex DebianBug:875018
 * libalkimia DebianBug:875008 -> "required by KMyMoney -> double Qt4/Qt5"
 * libdbusmenu-qt DebianBug:875021 -> Plasma ships an updated fork in plasma-workspace.git; probably required as long as there are Qt4 applications which depend on it
 * libdrumstick DebianBug:875010
 * libgwenhywfar DebianBug:875012 -> required by KMyMoney -> double Qt4/Qt5
 * libjdns DebianBug:875022
 * libkdegames-kde4 DebianBug:875015 -> KF5 counterpart already in archive, will be RMed once all the games are migrated to Applications 17.12
 * libkolabxml DebianBug:875019
 * liblastfm DebianBug:875025
 * libmygpo-qt DebianBug:875033
 * libqaccessibilityclient DebianBug:875035 -> new 0.2.0 release dual Qt4/Qt5
 * libqglviewer DebianBug:875036
 * libquazip DebianBug:875026 -> it has both Qt4 and Qt5, according a comment in the bug Qt4 is required by nomacs and freemedforms, but nomacs is already Qt5
 * libqxt DebianBug:875027 -> Dead upstream, removal planned
 * liggghts DebianBug:875028
 * lightdm DebianBug:875029
 * linguider DebianBug:875031
 * linkchecker DebianBug:875032
 * linpsk DebianBug:875044
 * lmms DebianBug:875038 -> version 1.2.x supports also Qt5
 * mcrl2 DebianBug:875040
 * meshlab DebianBug:875041
 * midisnoop DebianBug:875047
 * mldemos DebianBug:875043
 * mp3diags DebianBug:875057
 * mumble DebianBug:875058 -> development versions (1.3) use Qt5 (see DebianBug:874683 )
 * muse DebianBug:875049
 * musique DebianBug:875061
 * mustang-plug DebianBug:875050
 * netanim DebianBug:875051
 * noblenote DebianBug:875054
 * nomnom DebianBug:875055
 * ns3 DebianBug:875071
 * ntrack DebianBug:875059
 * nzb DebianBug:875062
 * octomap DebianBug:875064
 * odin DebianBug:875065
 * ofono-phonesim DebianBug:875066
 * openambit DebianBug:875068
 * opencsg DebianBug:875070
 * openms DebianBug:875073 -> no Qt5 support in released version or in the 'develop' git branch, but there is a 'feature/qt5' branch
 * openpref DebianBug:875074
 * openscenegraph DebianBug:875075
 * openteacher DebianBug:875076
 * ophcrack DebianBug:875082
 * ostinato DebianBug:875077
 * otb DebianBug:875083 -> "This migration can be planned for version 6.4 (which should arrive around December 2017)."
 * oxygen DebianBug:875078 -> "part of Plasma to theme Qt4 apps -> needed as long as there is Qt4 around"
 * paraview DebianBug:875086 -> a Qt5 version was uploaded for a while but then reverted (see DebianBug:821091 ), maybe it can be tried again
 * phonon DebianBug:875095 -> dual Qt4/Qt5
 * phonon-backend-gstreamer DebianBug:875087 -> dual Qt4/Qt5
 * phonon-backend-vlc DebianBug:875088 -> dual Qt4/Qt5
 * pianobooster DebianBug:875089 -> dead upstream, Debian already packages the last SVN snapshot; unofficial Qt5 port at https://github.com/inniyah/pianobooster
 * pinentry-x2go DebianBug:875090
 * pivy DebianBug:875099
 * plasma-widget-yawp DebianBug:875100 -> "no Qt5 version planned -> only works with Plasma 4"
 * pokerth DebianBug:875091
 * polkit-qt-1 DebianBug:875092 -> Qt5 counterpart available
 * poppler DebianBug:875096 -> "different backends -> just drop the Qt4 version when there are no dependencies"
 * portabase DebianBug:875098
 * postbooks DebianBug:875102
 * postbooks-updater DebianBug:875103
 * projectm DebianBug:875112
 * promoe DebianBug:875117
 * psi-translations DebianBug:875111
 * pymecavideo DebianBug:875120
 * pyqwt3d DebianBug:875116
 * pyqwt5 DebianBug:875115
 * pyside DebianBug:875122
 * pyside-tools DebianBug:875114
 * python-qt4 DebianBug:875109
 * qca2 DebianBug:875133 -> dual Qt4/Qt5
 * qemuctl DebianBug:875134
 * qgis DebianBug:875135 -> at least the version 2.18.12 (released on 18.08.2017) can be compiled with Qt5, but Qt5 is not supported upstream until 3.0. The package in Debian will be switched to Qt5 [[http://qgis.org/en/site/getinvolved/development/roadmap.html#release-schedule|when 3.4.x LTR enters the upstream Long-Term Repo]].
 * qimageblitz DebianBug:875130 -> "a Qt5 port exists unreleated -> but it should not be needed anymore"
 * qink DebianBug:875132
 * qjoypad DebianBug:875137 -> fork with Qt5 port at https://github.com/panzi/qjoypad
 * qjson DebianBug:875139 -> Qt5 has it's own API. Should go along with qt4-x11 itself.
 * qliss3d DebianBug:875140
 * qmpdclient DebianBug:875136 -> "Currently orphaned (TITO) -> dead upstream -> replacements available (cantata for example)"
 * qpxtool DebianBug:875141
 * qrfcview DebianBug:875143
 * qsapecng DebianBug:875138
 * qscintilla2 DebianBug:875144 -> needs to drop Qt4 build (already builds Qt5 libs)
 * qt-assistant-compat DebianBug:875151
 * qt4-perl DebianBug:875148
 * qtads DebianBug:875157 -> simply needs to be built with Qt5, patch submitted
 * qtcurve DebianBug:875149 -> dual Qt4/Qt5
 * qtexengine DebianBug:875158
 * qthid-fcd-controller DebianBug:875160
 * qtiplot DebianBug:875150
 * qtkeychain DebianBug:875152 -> can be compiled for both Qt4 and Qt5
 * qtm DebianBug:875161
 * qtscriptgenerator DebianBug:875155 -> needed by src:amarok
 * qtsmbstatus DebianBug:875163
 * qtwebkit DebianBug:875159
 * qwbfsmanager DebianBug:875164
 * qwt DebianBug:875165
 * qwt5 DebianBug:875166
 * qwtplot3d DebianBug:875167
 * qxmlrpc DebianBug:875178
 * radium-compressor DebianBug:875168
 * rkward DebianBug:875171 -> "framework branch available -> not ready yet"
 * rlplot DebianBug:875172
 * robojournal DebianBug:875174
 * scantailor DebianBug:875176
 * scap-workbench DebianBug:875177
 * scidavis DebianBug:875251
 * scim DebianBug:875250
 * screenie-qt DebianBug:875179
 * scribus DebianBug:875180 -> the development versions are Qt5 (1.5.x)
 * shiboken DebianBug:875190
 * sigviewer DebianBug:875191
 * smokegen DebianBug:875181
 * smokeqt DebianBug:875193
 * smpq DebianBug:875182
 * sni-qt DebianBug:875183
 * centreon-broker: DebianBug:939626 - Will be fixed in next release in April 2020, can be temporarily kept uninstallable when qt4 is removed
Line 307: Line 73:
 * soprano DebianBug:875185 -> "linked to kde4libs -> can be removed when no reverse dependencies"
 * soqt DebianBug:875186
 * soundscaperenderer DebianBug:875188
 * stretchplayer DebianBug:875195
 * structure-synth DebianBug:875203 -> VCS has Qt5 support
 * subcommander DebianBug:875204
 * swift-im DebianBug:875212 -> "current upstream release requires Qt5 -> Debian package outdated"
 * syncevolution DebianBug:875215
 * synergy DebianBug:875199
 * tagainijisho DebianBug:875200
 * taurus DebianBug:875202
 * tipp10 DebianBug:875207
 * tora DebianBug:875208
 * treeline DebianBug:875210
 * udj-desktop-client DebianBug:875214
 * uicilibris DebianBug:875223
 * ultracopier DebianBug:875217
 * universalindentgui DebianBug:875228
 * unixodbc-gui-qt DebianBug:875219
 * v4l2ucp DebianBug:875221
 * valkyrie DebianBug:875222
 * veusz DebianBug:875232
 * viva DebianBug:875226
 * vmpk DebianBug:875238
 * voxbo DebianBug:875227
 * witty DebianBug:875230
 * woo DebianBug:875231
 * writetype DebianBug:875234
 * wsjtx DebianBug:875235
 * x2goclient DebianBug:875236 -> Gentoo packagers say it that it supports Qt5 since 4.0
 * xdrawchem DebianBug:875245
 * xflr5 DebianBug:875240
 * yabause DebianBug:875242
 * yagf DebianBug:875243
 * zbar DebianBug:875246

=== Remaining ===


=== Extra build dependencies ===


=== Qt4-specific (to be removed alongside Qt4 itself) ===

 * qt-at-spi DebianBug:875146 -> [[https://lists.debian.org/debian-qt-kde/2017/09/msg00451.html]].
 * razorqt DebianBug:875169 -> "superseded by LXQt -> already Qt5 and available in Debian -> should be removed with qt4-x11 because the maintainer still sees value in ""maintaining"" a project dead upstream and superseded with several releases (of LXQt) already in Debian (one of which in stable)... oh well... see [[https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=784181|bug 784181]]" Also [[https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=875169#10|this comment in 875169]].
Line 359: Line 79:
 * amule DebianBug:874824 -> "optional Plasma 4 applet disabled"  * acoustid-fingerprinter DebianBug:874807 -> Orphaned, no upstream release for 6 years, no sign of porting -> Removed, RoQA.
 * adwaita-qt DebianBug:874816 -> Ported to Qt5.
 * akonadi4 DebianBug:874808 -> Removed
 * alsoft-conf DebianBug:874809 -> Removed
 * alt-key DebianBug:874810 -> Upstream dead, last version released 6 years ago -> DebianBug:904377 Removed.
 * amarok DebianBug:874811 -> master branch is KF5-based, but no release planned yet -> Removed.
 * amora-server DebianBug:874812 -> Removed
 * ams DebianBug:874823 -> Ported to Qt5
 * amule DebianBug:874824 -> "optional Plasma 4 applet disabled"
 * appmenu-qt DebianBug:874825 -> Removed
Line 362: Line 91:
 * aseba DebianBug:891021 -> Ported to Qt5.
 * attal DebianBug:874827 -> Removed, DebianBug:906581
 * attica DebianBug:874818 -> Removed
 * audex DebianBug:874819 -> git master is Qt5, but unmaintained; will be autoRMed from testing once libkcompactdisc and libkcddb are migrated to KF5 -> Removed, ROM.
 * auralquiz DebianBug:874821 -> New version with Qt5 support uploaded.
 * automoc DebianBug:874822 -> Removed
Line 365: Line 100:
 * avogadro DebianBug:874834 -> Removed
 * babiloo DebianBug:935176 -> Removed
 * backintime DebianBug:935341 -> Migrated to Qt5
 * bacula DebianBug:874836 -> Migrated to Qt5.
 * ball DebianBug:874837 -> Migrated to Qt5.
 * baloo DebianBug:874826 -> Removed
Line 366: Line 107:
 * bareos DebianBug:874839 → Switched to Qt5, not yet in testing.
 * basket DebianBug:874829 -> Migrated to Qt5
Line 368: Line 111:
 * boats DebianBug:874833 -> Switch to Qt5
 * bppphyview DebianBug:874835 -> Ported to Qt5.
 * breeze DebianBug:874840 -> Dropped Qt4 support
Line 369: Line 115:
 * buildnotify DebianBug:906564 -> Removed
Line 371: Line 118:
 * cdcat DebianBug:874843 -> Removed
 * choreonoid DebianBug:874844 -> Removed
 * clementine DebianBug:874850 -> Ported to Qt5.
Line 373: Line 123:
 * cmtk DebianBug:874853 -> Dropped GUI tools
 * code-saturne DebianBug:935342 -> Switched to Qt5
 * codequery DebianBug:874855 -> Switched to Qt5
 * collatinus DebianBug:874856 -> Ported to Qt5.
 * connectome-workbench DebianBug:874859 -> Switched to Qt5.
 * connectomeviewer DebianBug:875494 -> Removed
Line 375: Line 131:
 * convertall DebianBug:874848 -> Ported to Qt5.
 * cortina DebianBug:874849 -> Orphaned, upstream dead for 3 years -> Removed.
 * cppreference-doc DebianBug:874862 -> Switched to Qt5 build
 * daemonfs DebianBug:874864 -> Removed
 * dc-qt DebianBug:874866 -> upstream inactive for 4 years, long orphaned -> RM requested DebianBug:920192 -> Removed.
Line 376: Line 137:
 * debconf DebianBug:629405 -> Qt4 frontend removed.
 * doomsday DebianBug:874870 -> version 2.x is Qt5-based -> Fixed in new version
 * dgedit DebianBug:874852 -> Ported to Qt5
 * dssi DebianBug:874857 -> Qt4 examples removed
Line 377: Line 142:
 * eficas DebianBug:935343 -> Removed
Line 378: Line 144:
 * encuentro DebianBug:934324 -> [[https://bugs.launchpad.net/encuentro/+bug/1593460|upstream bug]], RMed
 * eqonomize DebianBug:874860 -> Switched to Qt5 (new version 1.2-1, QA upload).
 * epigrass DebianBug:891994 -> Switched to Qt5
 * esperanza DebianBug:874861 -> Removed, ROM.
Line 379: Line 149:
 * expeyes DebianBug:904090 -> qt4 in Build-Depends, qt5 in Depends -> Unified to use Qt5 toolchain.
Line 380: Line 151:
 * fbreader DebianBug:874867 -> Removed Qt4 support
 * fcitx DebianBug:874868 -> Removed Qt4 support
 * fcitx-kkc DebianBug:874869 -> New version using Qt5 -> New version uploaded.
Line 382: Line 156:
 * felix-latin DebianBug:874881
 * ffdiaporama DebianBug:874874 -> Switched to Qt5.
 * flightcrew DebianBug:874875
 * fmit DebianBug:874884 -> Switched to Qt5
Line 384: Line 162:
 * fraqtive DebianBug:874888 -> Switched to Qt5.
 * freecad DebianBug:874877 -> Version 0.17 is based on Qt5.
 * freemat DebianBug:874878 -> Removed
 * freemedforms-project DebianBug:874880 -> Removed
 * freeplayer DebianBug:874882 -> "'Upstream is long dead.' according the packager -> will be removed -> Removed, ROM"
Line 385: Line 168:
 * gambas3 DebianBug:874896
 * gammaray DebianBug:874883 -> Ported to Qt5.
 * gazebo DebianBug:874898 -> the release 8.0.0 switched to Qt5
Line 387: Line 173:
 * geophar DebianBug:875497 -> Migrated to Qt5.
 * gle-graphics DebianBug:874901 -> Removed
 * gmic DebianBug:874889
 * gnash DebianBug:874890 -> Removed
 * gns3 DebianBug:874891 -> Removed
 * gnudoq DebianBug:874892 -> Removed
Line 391: Line 183:
 * gr-air-modes -> GUI components dropped
 * gr-fosphor DebianBug:874899
 * gr-radar DebianBug:874900 -> Migrated to Qt5.
 * grantlee DebianBug:874908 -> Removed form the archive.
Line 392: Line 188:
 * hamfax DebianBug:874911 -> Removed
Line 393: Line 190:
 * hedgewars DebianBug:874913
 * heimdall-flash DebianBug:874915 -> Switched to Qt5
 * hgview DebianBug:875499 (removed)
Line 394: Line 194:
 * holdingnuts DebianBug:874917 -> Removed.
Line 395: Line 196:
 * hydrogen DebianBug:874907 -> Removed
 * i7z DebianBug:874909 -> Qt4 GUI disabled.
Line 396: Line 199:
 * i7z DebianBug:874909 -> Qt4 GUI disabled.  * ibus-qt DebianBug:874920 -> RM Bug filed DebianBug:903894 -> Removed.
 * ifpgui DebianBug:874912 -> RM Bug filed DebianBug:920294, ROM -> Removed.
 * ifrit DebianBug:874921 -> Removed, RoQA.
 * ike DebianBug:874914 -> RMed, RoQA
 * imagevis3d DebianBug:874916 -> Removed
 * jovie DebianBug:874922 -> RMed, replaced by Qt Speech in Qt 5.10
 * jreen DebianBug:874918 -> Dropped Qt4 support
Line 399: Line 208:
 * kaccessible DebianBug:874927 -> functionality included in Qt5 -> dropped from KDE Applications 17.12 -> Removed
 * hachoir-metadata DebianBug:942191 -> Removed
 * kactivities DebianBug:874925 -> Removed
Line 400: Line 212:
 * kalternatives DebianBug:874928 -> Removed
Line 401: Line 214:
 * kamerka DebianBug:874926 -> Removed
 * karlyriceditor DebianBug:874931 -> Removed
Line 402: Line 217:
 * kate4 DebianBug:874932 -> Removed
Line 405: Line 221:
 * kchmviewer DebianBug:874936 -> switched to Qt5
 * kcollectd DebianBug:874938 -> Removed
 * kdbg DebianBug:874941 -> Removed
 * kde4libs DebianBug:874945 -> Removed
 * kde-baseapps DebianBug:874942 -> split into few Qt5 tarballs since KDE Applications 16.12; now removed
Line 406: Line 227:
 * kde-runtime DebianBug:874944 -> Removed
Line 407: Line 229:
 * kdepim4 DebianBug:874947 -> it contains knode and ktimetracker, not available for Qt5 -> Removed.
 * kdepimlibs DebianBug:874937 -> Removed
Line 410: Line 234:
 * kdiff3 DebianBug:874949 -> Qt5 development version uploaded
 * keepassx DebianBug:874950 -> Switched to Qt5
 * keurocalc DebianBug:874952 -> Switched to Qt 5
 * kfilemetadata DebianBug:874953 -> Removed
 * kmetronome DebianBug:874954 -> Ported to Qt 5
Line 418: Line 247:
 * kmldonkey DebianBug:874956 -> Removed
 * kmidimon DebianBug:874955 -> Removed
Line 420: Line 251:
 * kmouth DebianBug:874959 -> Qt5 since KDE Applications 17.12
 * kmymoney DebianBug:874961 -> Switched to Qt5
 * knights DebianBug:874962 -> Qt5 since KDE Applications 18.12
 * knutclient DebianBug:874964 -> Removed
Line 421: Line 256:
 * komparator DebianBug:874981 -> looks dead upstream, requires libkonq4 (it was RMed as planned as soon as src:konqueror was switched to the KF5 version)
Line 423: Line 259:
 * kopete DebianBug:874985 -> Removed, fixed in experimental, but too unstable ATM
 * kover DebianBug:874968 -> Removed
 * kprinter4 DebianBug:874973 -> Removed
Line 424: Line 263:
 * kpartsplugin DebianBug:874969 -> Removed
 * kradio4 DebianBug:874977 -> Removed
 * kraft DebianBug:874993 -> Qt5 since 0.80
 * krecipes DebianBug:874978 -> Removed
 * kredentials DebianBug:874979 -> Removed
 * kremotecontrol DebianBug:874980 -> dropped from KDE Applications 17.12 (not ported); now unmaintained by the KDE community -> Removed.
 * krename DebianBug:874982 -> Qt5 since v5.0.0
 * kreversi DebianBug:874984 -> Qt5 since KDE Applications 17.08
 * ksaneplugin DebianBug:874986 Removed, RoM
 * kscd DebianBug:874987 -> Removed
Line 426: Line 275:
 * ksirk DebianBug:874990 -> Qt5 since KDE Applications 17.12
Line 428: Line 278:
 * kst DebianBug:874994 -> Switched to Qt5 (already supported).
Line 429: Line 280:
 * krename DebianBug:874982 -> "v5.0.0 is based on Qt5/KF5. https://download.kde.org/stable/krename/5.0.0/ Not announced at krename.net yet." -> Switched to Qt5/KF5.
 * kreversi DebianBug:874984 -> Qt5 since KDE Applications 17.08
 * ksaneplugin DebianBug:874986 Removed, RoM
 * ksirk DebianBug:874990 -> Qt5 since KDE Applications 17.12
 * kst DebianBug:874994 -> Switched to Qt5 (already supported).
 * ktikz DebianBug:874996 -> Ported to Qt5.
Line 436: Line 283:
 * kppp DebianBug:874970 -> Removed
Line 438: Line 286:
 * kvirc DebianBug:874998 -> unreleased Qt5 version is in experimental  * kvirc DebianBug:874998 -> unreleased Qt5 version is in experimentalsci
 * kvkbd DebianBug:874999 -> no activity recently, but most likely can be replaced by qtvirtualkeyboard (Plasma requirement) -> RMed, RoQA.
 * kvpnc DebianBug:875003 -> Removed
 * kxstitch DebianBug:875004 -> ported to Qt5
 * laborejo DebianBug:935344 -> Removed
 * launchy DebianBug:875020 -> Orphaned, original upstream dead, fork available on GitHub with Qt5 support, removed
Line 440: Line 293:
 * lfhex DebianBug:875018 -> Removed.
Line 441: Line 295:
 * libalkimia DebianBug:875008 -> RoM; Qt5 version available as src:alkimia
Line 442: Line 297:
 * libdbusmenu-qt DebianBug:875021 -> Dropped Qt4 support
 * libdrumstick DebianBug:875010 -> Switched to Qt5.
 * libffado -> there is some discussion in DebianBug:887846
Line 443: Line 301:
 * libgwenhywfar DebianBug:875012 -> previously double Qt4/Qt5; switched to Qt5 after kmymoney/Qt5 entered Buster
 * libjdns DebianBug:875022 -> Dropped Qt4 support
Line 445: Line 305:
 * libkdegames-kde4 DebianBug:875015 -> KF5 counterpart already in archive, will be RMed once all the games are migrated to Applications 17.12
Line 447: Line 308:
 * libkolabxml DebianBug:875019 -> Switched to Qt5.
Line 449: Line 311:
 * liblastfm DebianBug:875025 Switched to Qt 5.
 * libmygpo-qt DebianBug:875033
Line 450: Line 314:
 * libqaccessibilityclient DebianBug:875035 -> new 0.2.0 release dual Qt4/Qt5 -> Ported to Qt5.
 * libqglviewer DebianBug:875036 -> Dropped Qt4 support
 * libquazip DebianBug:875026 -> Switched to Qt 5.
 * libqxt DebianBug:875027 -> Dead upstream -> RM Bug submitted DebianBug:906650 -> Removed.
 * liggghts DebianBug:875028 -> Qt4 part removed.
 * lightdm DebianBug:875029 -> Qt4 support removed
Line 451: Line 321:
 * linguider DebianBug:875031 -> Removed
 * linkchecker DebianBug:875032 GUI component split out, not part of Debian, unmaintained
 * linpsk DebianBug:875044 -> only old Qt4-based version left in ports
Line 452: Line 325:
 * lmms DebianBug:875038 -> Switched to Qt5
Line 454: Line 328:
 * m2l-pyqt DebianBug:875046 -> Switched to Qt5.
 * makehuman DebianBug:906578 -> Removed
 * maptransfer DebianBug:933033 -> dead upstream; Removed
 * matplotlib -> DebianBug:941527 -> Dropped support for Qt4
 * mcrl2 DebianBug:875040 -> Removed, unmaintained.
 * meshlab DebianBug:875041 -> Switched to Qt5
 * microbegps DebianBug:935345 -> Switched to Qt5
 * midisnoop DebianBug:875047 -> Switched to Qt5
Line 455: Line 337:
 * m2l-pyqt DebianBug:875046 -> Switched to Qt5.  * mldemos DebianBug:875043
Line 458: Line 340:
 * mp3diags DebianBug:875057 -> Switched to Qt 5.
 * mrtrix3 DebianBug:939627 -> Switched to Qt 5
 * mumble DebianBug:875058 -> development versions (1.3) use Qt5 (see DebianBug:874683 ) -> Migrated to Qt5.
 * muse DebianBug:875049 -> Switched to Qt5
 * musique DebianBug:875061 -> Removed
 * mustang-plug DebianBug:875050 -> Switched to Qt5
 * netanim DebianBug:875051 -> Removed
Line 459: Line 348:
 * nfs-ganesha DebianBug:935348 -> Only python bindings require Qt4, dropped
Line 460: Line 350:
 * nomnom DebianBug:875055 -> video downloader/grabber, last upstream release in 2011, probably not working anymore; candidate for removal (DebianBug: 922781) -> Removed, RoQA.
 * noblenote DebianBug:875054 -> Switched to Qt5
 * ntrack DebianBug:875059 -> Removed
 * ns3 DebianBug:875071 Switched qto Qt5.
Line 461: Line 355:
 * nzb DebianBug:875062 Removed
Line 462: Line 357:
 * octomap DebianBug:875064 Switched to Qt5.
 * odin DebianBug:875065 -> Switched to Qt5
 * ofono-phonesim DebianBug:875066 -> Removed
Line 463: Line 361:
 * openambit DebianBug:875068 -> Re moved from the archive.
Line 465: Line 364:
 * openms DebianBug:875073 -> no Qt5 support in released version or in the 'develop' git branch, but there is a 'feature/qt5' branch
Line 466: Line 366:
 * openpref DebianBug:875074 -> Switched to Qt 5.
 * opencsg DebianBug:875070 -> Switched to Qt5
 * openscenegraph DebianBug:875075 -> Switched to Qt5
 * opensesame -> Removed
 * openteacher DebianBug:875076 -> Removed
 * ophcrack DebianBug:875082
 * ostinato DebianBug:875077 -> Switched to Qt5
 * otb DebianBug:875083 -> "This migration can be planned for version 6.4 (which should arrive around December 2017)." -> Migrated to Qt5 with new release.
 * oxygen DebianBug:875078 -> Dropped Qt4 support
Line 469: Line 378:
 * paraview DebianBug:875086 -> a Qt5 version was uploaded for a while but then reverted (see DebianBug:821091 ), maybe it can be tried again
Line 471: Line 381:
 * pianobooster DebianBug:875089 -> Ported to Qt5
 * picard -> a Qt5 version was released and packaged; Qt5 packages since 2.0.4-1 (now 2.1.0-1)
 * phonon DebianBug:875095 -> removed Qt 4 support.
 * phonon-backend-gstreamer DebianBug:875087 -> removed Qt 4 support, kept Qt 5 one.
 * phonon-backend-vlc DebianBug:875088 -> Dropped Qt4 support
 * pinentry-x2go DebianBug:875090 -> Switched to Qt5.
 * pivy DebianBug:875099 -> Switched to Qt5
 * plasma-widget-yawp DebianBug:875100 -> "no Qt5 version planned -> only works with Plasma 4" -> Removed.
Line 472: Line 390:
 * pokerth DebianBug:875091 -> Switched to Qt5-only build.
 * polkit-qt-1 DebianBug:875092 -> Dropped Qt4 support
 * poppler DebianBug:875096 -> "different backends -> just drop the Qt4 version when there are no dependencies"
Line 473: Line 394:
 * portabase DebianBug:875098 -> Removed
 * postbooks DebianBug:875102
 * postbooks-updater DebianBug:875103
Line 475: Line 399:
 * projectm DebianBug:875112 -> Qt5 support since version 2.2.1 (2018-04-06) -> Removed from unstable, awaiting others to reintroduce later.
 * promoe DebianBug:875117 -> Orphaned, upstream development stalled -> Removed: DebianBug:904865
Line 477: Line 403:
 * psi-translations DebianBug:875111 -> Migrated to Qt5 toolchain.
 * puddletag DebianBug:935346 -> Removed
Line 479: Line 407:
 * pymecavideo DebianBug:875120 -> Ported to Qt5.
 * pynagram -> dead upstream, RM proposed -> Removed, RoQA.
 * pypibrowser -> dead upstream -> RM Bug submitted DebianBug:905804 -> Removed.
 * pyqwt3d DebianBug:875116
 * pyqwt5 DebianBug:875115 -> Removed
 * pysatellites DebianBug:935347 -> Switched to Qt5
 * pyside DebianBug:875122 -> Removed
 * pyside-tools DebianBug:875114 -> Removed
 * python-pyface DebianBug:935349 -> Switched to Qt5
 * python-pyqtgraph DebianBug:843897 -> Switched to Qt5
Line 480: Line 418:
 * python-qt4 DebianBug:875109 -> Removed
Line 481: Line 420:
 * qbzr DebianBug:935351 -> Removed
 * qca2 DebianBug:875133 -> Dropped Qt4 support
 * qscintilla2 DebianBug:875144 -> Dropped Qt4 support
Line 482: Line 424:
 * qct -> RFA; RFA says should be removed -> Removed, ROM.
 * qimageblitz DebianBug:875130 -> Removed
Line 483: Line 427:
 * qink DebianBug:875132 Orphaned, no upstream Qt5 version. -> Removed, RoQA.
 * qjoypad DebianBug:875137 -> Switched to qt5
 * qjson DebianBug:875139 -> Removed
 * qliss3d DebianBug:875140 -> Removed
 * qgis DebianBug:875135 -> at least the version 2.18.12 (released on 18.08.2017) can be compiled with Qt5, but Qt5 is not supported upstream until 3.0. The package in Debian will be switched to Qt5 [[http://qgis.org/en/site/getinvolved/development/roadmap.html#release-schedule|when 3.4.x LTR enters the upstream Long-Term Repo]]. -> 3.4.x uploaded to sid and migrated to testing.
 * qpxtool DebianBug:875141 -> Ported to Qt5
Line 484: Line 434:
 * qrfcview DebianBug:875143 -> No upstream activity since 2006, no debian maintainer activity since 2008, no upload since 2013, package removal planned, query sent to package maintainer -> Removed.
 * qsapecng DebianBug:875138 -> Removed.
Line 485: Line 437:
 * qt-assistant-compat DebianBug:875151 -> Removed
 * qt-at-spi DebianBug:875146 -> Removed
Line 487: Line 441:
 * qtscrob DebianBug:875156 -> Switched to Qt5.  * qtads DebianBug:875157 -> Switched to Qt5
 * qtcurve DebianBug:875149 -> Dropped Qt4 support
 * qt4reactor DebianBug:935350 -> Removed form the archive.
 * qtexengine DebianBug:875158 -> Removed
 * qthid-fcd-controller DebianBug:875160 -> Ported to Qt5
 * qtiplot DebianBug:875150 -> Removed
 * qtkeychain DebianBug:875152 -> can be compiled for both Qt4 and Qt5 -> Switched to Qt5.
 * qtm DebianBug:875161 -> Removed
Line 490: Line 451:
 * qtscriptgenerator DebianBug:875155 -> needed by src:amarok -> Removed.
 * qtscrob DebianBug:875156 -> Switched to Qt5.
 * qtsmbstatus DebianBug:875163 -> Removed
 * qtwebkit DebianBug:875159 -> Removed
 * qwt DebianBug:875165 -> Dropped Qt4 support
 * qwt5 DebianBug:875166 -> Removed
 * qt4-perl DebianBug:875148 -> RM Bug submitted RoQA DebianBug:904583 -> Removed.
 * qemuctl DebianBug:875134 -> Removed
 * qmpdclient DebianBug:875136 -> Removed
 * qwbfsmanager DebianBug:875164 -> Removed
 * qwtplot3d DebianBug:875167 -> Ported to Qt5.
 * qxmlrpc DebianBug:875178 -> Removed
 * radium-compressor DebianBug:875168 -> Ported to Qt5
 * razorqt DebianBug:875169 -> Removed
Line 491: Line 466:
 * robocut DebianBug:875173 Switched to Qt5  * rkward DebianBug:875171 -> "framework branch available -> not ready yet" -> Ported to Qt5.
 * rlplot DebianBug:875172 -> Removed
 * robocut DebianBug:875173 Switched to Qt5.
 * robojournal DebianBug:875174 -> Removed, RoM.
Line 493: Line 471:
 * shelxle DebianBug:875189  * scantailor DebianBug:875176 -> Removed
 * scap-workbench DebianBug:875177 -> Removed
 * scidavis DebianBug:875251 -> Removed from the archive
 * scim DebianBug:875250 → Dropped Qt4 support
 * scolasync DebianBug:935183 ->
 * screenie-qt DebianBug:875179 -> Upstream dead (Google Code), no package maintenance activity in the last 8 years -> Removed, RoQA.
 * scribus DebianBug:875180 -> Switched to Qt5
 * seascope DebianBug:875500 -> dead upstream? -> Removed.
 * shelxle DebianBug:875189 -> Switched to Qt5
 * shiboken DebianBug:875190 -> Removed
 * sigviewer DebianBug:875191 -> Switched to Qt5
Line 495: Line 483:
 * smokegen DebianBug:875181 -> Removed.
 * smokeqt DebianBug:875193 -> RM Bug submitted ROM DebianBug:904584 -> Removed.
 * smpq DebianBug:875182 -> KDE4 kio binary package dropped.
 * sni-qt DebianBug:875183 -> Removed
 * soprano DebianBug:875185 -> Removed, RoM
 * soqt DebianBug:875186 -> Switched to Qt5
Line 496: Line 490:
 * soundscaperenderer DebianBug:875188 -> Switched to Qt5
Line 497: Line 492:
 * stretchplayer DebianBug:875195 -> Switched to Qt5
 * structure-synth DebianBug:875203 -> Switched to Qt5
Line 498: Line 495:
 * subcommander DebianBug:875204 -> Orphaned, last upstream activity in 2009 -> Removed, RoQA.
 * subdownloader -> dead upstream? no source code on the homepage -> Upstream migrated to pyqt5.
Line 501: Line 500:
 * swift-im DebianBug:875212 -> Switched to Qt5
 * syncevolution DebianBug:875215 -> Removed
 * synergy DebianBug:875199 -> Removed
 * syrthes DebianBug:891993 -> Remo0ved GUI using Qt
 * tagainijisho DebianBug:875200 -> Removed
Line 502: Line 506:
 * taurus DebianBug:875202 -> Migrated to PyQt5.
Line 503: Line 508:
 * tipp10 DebianBug:875207 -> Switched to Qt5
 * tora DebianBug:875208 -> Removed
Line 504: Line 511:
 * treeline DebianBug:875210 -> Ported to Qt5.
 * trimage DebianBug:935352 -> Ported to Qt5
Line 506: Line 515:
 * uim DebianBug:875216 -> Dropped Qt4 build (already builds Qt5 module)  * uicilibris DebianBug:875223 -> RM Removed.
 * udj-desktop-client DebianBug:875214 -> Upstream and Maintainer inactive -> RM Bug filed DebianBug:902964 RoQA -> Removed.
 * uim DebianBug:875216 -> Dropped Qt4 build (already builds Qt5 module)
 * ultracopier DebianBug:875217
Line 508: Line 520:
 * universalindentgui DebianBug:875228 -> Removed from the archive.
 * unixodbc-gui-qt DebianBug:875219 -> Removed
Line 509: Line 523:
 * v4l2ucp DebianBug:875221 -> Removed
 * valkyrie DebianBug:875222 -> Removed
 * veusz DebianBug:875232 -> version 3.0.1 in sid uses Qt5 but it has transition issues -> Fully migrated.
Line 511: Line 528:
 * vistrails DebianBug:935353 -> Switched to Qt5
 * vitables DebianBug:935354 -> Switched to Qt5
 * viva DebianBug:875226 -> Upstream inactive, removed
 * vmpk DebianBug:875238 -> Switched to Qt5
 * voxbo DebianBug:875227 -> Removed
Line 513: Line 535:
 * witty DebianBug:875230 -> can be compiled without Qt4; package basically abandoned, only in sid, many fixes and a new major upstream release not packaged -> Removed.
 * woo DebianBug:875231 -> the last git snapshot supports also Qt5; the package is only in sid -> Removed, ROM.
Line 514: Line 538:
 * writetype DebianBug:875234 -> Removed
 * wsjtx DebianBug:875235 -> last version(s) supports Qt5, packaging ongoing for version 1.8 (see DebianBug:906899 )
 * x2goclient DebianBug:875236 -> Ported to Qt5.
 * yagf DebianBug:875243 -> Switched to Qt5
Line 515: Line 543:
 * xdrawchem DebianBug:875245 -> Ported to Qt5.
 * xflr5 DebianBug:875240 -> Removed
Line 516: Line 546:
 * yabause DebianBug:875242 -> Switched to Qt5
 * zbar DebianBug:875246 -> Upstream inactive since 2012 -> Qt4 part removed.

Qt4 (aka src:qt4-x11) removal

Debian Testing and Unstable (Sid) has removed src:qt4-x11 since 2020-03-07. Any package that still depends on Qt4 will be left uninstallable. For details, see Debian Bug 953294 .

Template text to file bugs

Subject: Qt4 removal from Buster
Source: @FILLME@
User: debian-qt-kde@lists.debian.org
Usertags: qt4-removal

Hi! As you might know we the Qt/KDE team are preparing to remove Qt4
as announced in:

[announced]
<https://lists.debian.org/debian-devel-announce/2017/08/msg00006.html>

Currently Qt4 has been dead upstream and we are starting to have problems
maintaining it, like for example in the [OpenSSL 1.1 support] case.

[OpenSSL 1.1 support]
<https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=828522>

In order to make this move, all packages directly or indirectly depending on
the Qt4 libraries have to either get ported to Qt5 or eventually get
removed from the Debian repositories.

Therefore, please take the time and:
- contact your upstream (if existing) and ask about the state of a Qt5
port of your application
- if there are no activities regarding porting, investigate whether there are
suitable alternatives for your users
- if there is a Qt5 port that is not yet packaged, consider packaging it
- if both the Qt4 and the Qt5 versions already coexist in the Debian
archives, consider removing the Qt4 version

= Porting =

Some of us where involved in various Qt4 to Qt5 migrations [migration] and we
know for sure that porting stuff from Qt4 to Qt5 is much much easier and less
painful than it was from Qt3 to Qt4.

We also understand that there is still a lot of software still using Qt4.

Don't forget to take a look at the C++ API changes page [apichanges] whenever
you start porting your application.

[migration] http://pkg-kde.alioth.debian.org/packagingqtbasedstuff.html
[apichanges] http://doc.qt.io/qt-5/sourcebreaks.html

For any questions and issues, do not hesitate to contact the Debian Qt/KDE
team at debian-qt-kde@lists.debian.org

The removal is being tracked in <https://wiki.debian.org/Qt4Removal>

Qt4WebKitRemoval Ubuntu's Qt 4 Removal

Apps using Qt4

Situation of apps and libraries using Qt4

Please keep this list reflecting the status of packages in both unstable and testing. Only when the bug gets fixed in both unstable and testing should we move it into the "Done" part.

Reminder bugs filed against these packages

  • centreon-broker: 939626 - Will be fixed in next release in April 2020, can be temporarily kept uninstallable when qt4 is removed

  • sofa-framework 875184

Done

  • abgate 874806 -> Switched to Qt5.

  • ace -> 874813 -> the ?QtReactor component was disabled.

  • acetoneiso 874814 -> Ported to Qt5.

  • acoustid-fingerprinter 874807 -> Orphaned, no upstream release for 6 years, no sign of porting -> Removed, RoQA.

  • adwaita-qt 874816 -> Ported to Qt5.

  • akonadi4 874808 -> Removed

  • alsoft-conf 874809 -> Removed

  • alt-key 874810 -> Upstream dead, last version released 6 years ago -> 904377 Removed.

  • amarok 874811 -> master branch is KF5-based, but no release planned yet -> Removed.

  • amora-server 874812 -> Removed

  • ams 874823 -> Ported to Qt5

  • amule 874824 -> "optional Plasma 4 applet disabled"

  • appmenu-qt 874825 -> Removed

  • aqsis 874815 -> Qt4 parts disabled

  • arc-gui-clients 874817 -> see qt4webkit removal page -> Switched to Qt5.

  • aseba 891021 -> Ported to Qt5.

  • attal 874827 -> Removed, 906581

  • attica 874818 -> Removed

  • audex 874819 -> git master is Qt5, but unmaintained; will be autoRMed from testing once libkcompactdisc and libkcddb are migrated to KF5 -> Removed, ROM.

  • auralquiz 874821 -> New version with Qt5 support uploaded.

  • automoc 874822 -> Removed

  • audiocd-kio 874820 -> Qt5 since KDE Applications 16.12

  • autokey 875496

  • avahi 874832 -> Qt4 subpackages removed in the last upload

  • avogadro 874834 -> Removed

  • babiloo 935176 -> Removed

  • backintime 935341 -> Migrated to Qt5

  • bacula 874836 -> Migrated to Qt5.

  • ball 874837 -> Migrated to Qt5.

  • baloo 874826 -> Removed

  • bangarang 874828 -> "linked to Nepomuk -> dead upstream, RoM"

  • bareos 874839 → Switched to Qt5, not yet in testing.

  • basket 874829 -> Migrated to Qt5

  • bear 874830 -> "Only used in tests -> removed and tests disabled."

  • bibletime 874831 -> see qt4webkit removal page -> ported to Qt5.

  • boats 874833 -> Switch to Qt5

  • bppphyview 874835 -> Ported to Qt5.

  • breeze 874840 -> Dropped Qt4 support

  • brewtarget 874838 -> Switched to Qt5 (package version 2.3.1-1)

  • buildnotify 906564 -> Removed

  • calligra 874841 -> Qt5 version in experimental.

  • camp 874842 -> Switched to Qt5

  • cdcat 874843 -> Removed

  • choreonoid 874844 -> Removed

  • clementine 874850 -> Ported to Qt5.

  • clonalframe 874845 -> Switched to Qt5

  • clustalx 874851 Ported to Qt5.

  • cmtk 874853 -> Dropped GUI tools

  • code-saturne 935342 -> Switched to Qt5

  • codequery 874855 -> Switched to Qt5

  • collatinus 874856 -> Ported to Qt5.

  • connectome-workbench 874859 -> Switched to Qt5.

  • connectomeviewer 875494 -> Removed

  • comparepdf 874846

  • confclerk 874847 -> Switched to Qt5

  • convertall 874848 -> Ported to Qt5.

  • cortina 874849 -> Orphaned, upstream dead for 3 years -> Removed.

  • cppreference-doc 874862 -> Switched to Qt5 build

  • daemonfs 874864 -> Removed

  • dc-qt 874866 -> upstream inactive for 4 years, long orphaned -> RM requested 920192 -> Removed.

  • diffpdf 874854 -> Ported to Qt5 with Debian-specific patch series.

  • debconf 629405 -> Qt4 frontend removed.

  • doomsday 874870 -> version 2.x is Qt5-based -> Fixed in new version

  • dgedit 874852 -> Ported to Qt5

  • dssi 874857 -> Qt4 examples removed

  • edfbrowser 874858 -> Switched to Qt5.

  • eficas 935343 -> Removed

  • eiskaltdcpp 874872 -> upstream 2.2.10 compiles with Qt5 (maybe https://github.com/eiskaltdcpp/eiskaltdcpp/pull/367 is needed too)

  • encuentro 934324 -> upstream bug, RMed

  • eqonomize 874860 -> Switched to Qt5 (new version 1.2-1, QA upload).

  • epigrass 891994 -> Switched to Qt5

  • esperanza 874861 -> Removed, ROM.

  • evolvotron 874863 -> Switched to Qt5.

  • expeyes 904090 -> qt4 in Build-Depends, qt5 in Depends -> Unified to use Qt5 toolchain.

  • faustworks 874865 -> Switched to Qt5.

  • fbreader 874867 -> Removed Qt4 support

  • fcitx 874868 -> Removed Qt4 support

  • fcitx-kkc 874869 -> New version using Qt5 -> New version uploaded.

  • fcitx-libpinyin 874871 -> Switched to Qt5 in the new version.

  • fcitx-skk 874879 -> Switched to Qt5.

  • felix-latin 874881

  • ffdiaporama 874874 -> Switched to Qt5.

  • flightcrew 874875

  • fmit 874884 -> Switched to Qt5

  • fracplanet 874885 -> Switched to Qt5.

  • fractalnow 874876 -> Switched to Qt5.

  • fraqtive 874888 -> Switched to Qt5.

  • freecad 874877 -> Version 0.17 is based on Qt5.

  • freemat 874878 -> Removed

  • freemedforms-project 874880 -> Removed

  • freeplayer 874882 -> "'Upstream is long dead.' according the packager -> will be removed -> Removed, ROM"

  • fwbuilder 874894 Qt5 version uploaded using the "official" fork at https://github.com/fwbuilder/fwbuilder

  • gambas3 874896

  • gammaray 874883 -> Ported to Qt5.

  • gazebo 874898 -> the release 8.0.0 switched to Qt5

  • gcin 874886 -> Qt4 sub-package dropped

  • geogebra-kde 874887 -> "the package contained just a thumbnail generator and a service desktop file -> Removed"

  • geophar 875497 -> Migrated to Qt5.

  • gle-graphics 874901 -> Removed

  • gmic 874889

  • gnash 874890 -> Removed

  • gns3 874891 -> Removed

  • gnudoq 874892 -> Removed

  • gnuradio 874893 -> Switched to Qt5.

  • goldendict 874895 -> see qt4webkit removal page -> Switched to Qt5.

  • gpsbabel 874897 -> see the Qt4WebKitRemoval -> Switched to Qt5 since 1.5.4.

  • gpsd 874905 -> Qt4 used in libqgpsmm22; no mention of Qt5 support upstream, but the build system supports the version of Qt (maybe leftover from 3->4?)

  • gr-air-modes -> GUI components dropped

  • gr-fosphor 874899

  • gr-radar 874900 -> Migrated to Qt5.

  • grantlee 874908 -> Removed form the archive.

  • guymager 874902 -> Switched to Qt5

  • hamfax 874911 -> Removed

  • hannah-foo2zjs 874903 -> Switched to Qt5

  • hedgewars 874913

  • heimdall-flash 874915 -> Switched to Qt5

  • hgview 875499 (removed)

  • hime 874904 -> Removed the Qt4 input module

  • holdingnuts 874917 -> Removed.

  • hupnp 874906 Removed from the archive.

  • hydrogen 874907 -> Removed

  • i7z 874909 -> Qt4 GUI disabled.

  • iannix 874910 -> Qt5 package uploaded to sid.

  • ibus-qt 874920 -> RM Bug filed 903894 -> Removed.

  • ifpgui 874912 -> RM Bug filed 920294, ROM -> Removed.

  • ifrit 874921 -> Removed, RoQA.

  • ike 874914 -> RMed, RoQA

  • imagevis3d 874916 -> Removed

  • jovie 874922 -> RMed, replaced by Qt Speech in Qt 5.10

  • jreen 874918 -> Dropped Qt4 support

  • juk 874919 -> Qt5 since KDE Applications 17.12.

  • k3b 874923 -> Qt5 since KDE Applications 17.04

  • kaccessible 874927 -> functionality included in Qt5 -> dropped from KDE Applications 17.12 -> Removed

  • hachoir-metadata 942191 -> Removed

  • kactivities 874925 -> Removed

  • kajongg 874924 -> Qt5 since KDE Applications 17.04

  • kalternatives 874928 -> Removed

  • kalzium 874929 -> Qt5 since KDE Applications 16.12, switched to Qt5

  • kamerka 874926 -> Removed

  • karlyriceditor 874931 -> Removed

  • katarakt 874930 -> Switched to Qt5 (new version)

  • kate4 874932 -> Removed

  • kbibtex 874934 -> "master is Qt5 -> but another kdelibs 4.x version (0.7.0) is planned" Switched to Qt5.

  • kcachegrind 874935 -> Qt5 since KDE Applications 17.04

  • kcheckers 874933

  • kchmviewer 874936 -> switched to Qt5

  • kcollectd 874938 -> Removed

  • kdbg 874941 -> Removed

  • kde4libs 874945 -> Removed

  • kde-baseapps 874942 -> split into few Qt5 tarballs since KDE Applications 16.12; now removed

  • kde-dev-utils 874943 -> Qt5 since KDE Applications 17.04

  • kde-runtime 874944 -> Removed

  • kdegraphics-mobipocket 874946 -> Qt5 since KDE Applications 16.12

  • kdepim4 874947 -> it contains knode and ktimetracker, not available for Qt5 -> Removed.

  • kdepimlibs 874937 -> Removed

  • kdesdk-kioslaves 874939 -> Qt5 since KDE Applications 17.04

  • kdesudo 874940 -> "This is Qt 3 -> it should be removed from the archive altogether in favor of kdesu -> see this and bug 875107" Removed, RoM

  • kdewebdev 874948 -> Removed, RoM (kimagemapeditor is in own source)

  • kdiff3 874949 -> Qt5 development version uploaded

  • keepassx 874950 -> Switched to Qt5

  • keurocalc 874952 -> Switched to Qt 5

  • kfilemetadata 874953 -> Removed

  • kmetronome 874954 -> Ported to Qt 5

  • kget 874958 -> Qt5 since KDE Applications 17.12

  • kgoldrunner 874960 -> Qt5 since KDE Applications 17.04

  • kgpg 874951 -> Qt5 since KDE Applications 16.12

  • kigo 874963 -> Qt5 since KDE Applications 17.08

  • kile 874966 -> Switched to Qt5 beta

  • kio-gopher 874971 -> Qt5 version released

  • klatexformula 874972 -> Switched to Qt5.

  • kmag 874974 -> Qt5 since KDE Applications 17.08

  • kmldonkey 874956 -> Removed

  • kmidimon 874955 -> Removed

  • kmix 874975 -> Qt5 since KDE Applications 17.12

  • kmousetool 874957 -> Qt5 since KDE Applications 17.08

  • kmouth 874959 -> Qt5 since KDE Applications 17.12

  • kmymoney 874961 -> Switched to Qt5

  • knights 874962 -> Qt5 since KDE Applications 18.12

  • knutclient 874964 -> Removed

  • kolf 874965 -> Qt5 since KDE Applications 17.12

  • komparator 874981 -> looks dead upstream, requires libkonq4 (it was RMed as planned as soon as src:konqueror was switched to the KF5 version)

  • konquest 874967 -> Qt5 since KDE Applications 17.08

  • konsole4 874983 -> Removed, RoM

  • kopete 874985 -> Removed, fixed in experimental, but too unstable ATM

  • kover 874968 -> Removed

  • kprinter4 874973 -> Removed

  • kqtquickcharts 874976 -> Qt5 since KDE Applications 16.12

  • kpartsplugin 874969 -> Removed

  • kradio4 874977 -> Removed

  • kraft 874993 -> Qt5 since 0.80

  • krecipes 874978 -> Removed

  • kredentials 874979 -> Removed

  • kremotecontrol 874980 -> dropped from KDE Applications 17.12 (not ported); now unmaintained by the KDE community -> Removed.

  • krename 874982 -> Qt5 since v5.0.0

  • kreversi 874984 -> Qt5 since KDE Applications 17.08

  • ksaneplugin 874986 Removed, RoM

  • kscd 874987 -> Removed

  • kscope 874988 -> "the home page says that 'KScope is no longer being maintained.' -> drop", Removed, RoM

  • kshutdown 874989 -> can use Qt5 since version 4.x -> Built against KF5 now

  • ksirk 874990 -> Qt5 since KDE Applications 17.12

  • ksnakeduel 874991 -> Qt5 since KDE Applications 17.08

  • kspaceduel 874992 -> Qt5 since KDE Applications 17.08

  • kst 874994 -> Switched to Qt5 (already supported).

  • ksudoku 874995 -> Qt5 since KDE Applications 17.08

  • ktikz 874996 -> Ported to Qt5.

  • ktouch 875000 -> Qt5 since KDE Applications 16.12, fixed in experimental

  • ktp-call-ui 875001 Switched to Qt5 in experimental.

  • kppp 874970 -> Removed

  • kubrick 875002 -> Qt5 since KDE Applications 17.08

  • kuser 874997 -> dropped upstream, RMed

  • kvirc 874998 -> unreleased Qt5 version is in experimentalsci

  • kvkbd 874999 -> no activity recently, but most likely can be replaced by qtvirtualkeyboard (Plasma requirement) -> RMed, RoQA.

  • kvpnc 875003 -> Removed

  • kxstitch 875004 -> ported to Qt5

  • laborejo 935344 -> Removed

  • launchy 875020 -> Orphaned, original upstream dead, fork available on ?GitHub with Qt5 support, removed

  • leocad 875006 Switched to Qt5.

  • lfhex 875018 -> Removed.

  • libaccounts-qt 875007 -> extra libqt4-dev B-D

  • libalkimia 875008 -> RoM; Qt5 version available as src:alkimia

  • libbpp-qt 875009 -> Switched to Qt5.

  • libdbusmenu-qt 875021 -> Dropped Qt4 support

  • libdrumstick 875010 -> Switched to Qt5.

  • libffado -> there is some discussion in 887846

  • libguytools2 875011 -> Switched to Qt5

  • libgwenhywfar 875012 -> previously double Qt4/Qt5; switched to Qt5 after kmymoney/Qt5 entered Buster

  • libjdns 875022 -> Dropped Qt4 support

  • libkcddb 875013 -> Qt5 since KDE Applications 16.12

  • libkcompactdisc 875014 -> Qt5 since KDE Applications 16.12

  • libkdegames-kde4 875015 -> KF5 counterpart already in archive, will be RMed once all the games are migrated to Applications 17.12

  • libkexiv2 875016 -> needed by src:okular, KF5 counterpart already in archive -> RMed from archive

  • libkmahjongg 875017 -> Qt5 since KDE Applications 15.04, KF5 counterpart already in archive -> Removed from archive, no longer needed

  • libkolabxml 875019 -> Switched to Qt5.

  • libkpeople 875023 Removed, RoM, Qt5 version already available.

  • libksane 875024 Removed, RoM. Qt5 since KDE Applications 15.12

  • liblastfm 875025 Switched to Qt 5.

  • libmygpo-qt 875033

  • liborigin2 875034 -> Switched to Qt5.

  • libqaccessibilityclient 875035 -> new 0.2.0 release dual Qt4/Qt5 -> Ported to Qt5.

  • libqglviewer 875036 -> Dropped Qt4 support

  • libquazip 875026 -> Switched to Qt 5.

  • libqxt 875027 -> Dead upstream -> RM Bug submitted 906650 -> Removed.

  • liggghts 875028 -> Qt4 part removed.

  • lightdm 875029 -> Qt4 support removed

  • lightdm-kde 875030 -> no Qt5 port will happen, packet will be removed alongside Qt4

  • linguider 875031 -> Removed

  • linkchecker 875032 GUI component split out, not part of Debian, unmaintained

  • linpsk 875044 -> only old Qt4-based version left in ports

  • linux-minidisc 875037 Switched to Qt5.

  • lmms 875038 -> Switched to Qt5

  • lskat 875039 -> Qt5 since KDE Applications 17.08

  • luckybackup 875045 -> Switched to Qt5.

  • m2l-pyqt 875046 -> Switched to Qt5.

  • makehuman 906578 -> Removed

  • maptransfer 933033 -> dead upstream; Removed

  • matplotlib -> 941527 -> Dropped support for Qt4

  • mcrl2 875040 -> Removed, unmaintained.

  • meshlab 875041 -> Switched to Qt5

  • microbegps 935345 -> Switched to Qt5

  • midisnoop 875047 -> Switched to Qt5

  • mixxx 875042 -> the tarball of the released 2.0.0 apparently supports also Qt5 -> Switched to Qt5

  • mldemos 875043

  • mm3d 875048 -> Switched to Qt5

  • monkeystudio 875056 -> Dead upstream, removed

  • mp3diags 875057 -> Switched to Qt 5.

  • mrtrix3 939627 -> Switched to Qt 5

  • mumble 875058 -> development versions (1.3) use Qt5 (see 874683 ) -> Migrated to Qt5.

  • muse 875049 -> Switched to Qt5

  • musique 875061 -> Removed

  • mustang-plug 875050 -> Switched to Qt5

  • netanim 875051 -> Removed

  • netemul 875052 Removed, RoM.

  • nfs-ganesha 935348 -> Only python bindings require Qt4, dropped

  • nmapsi4 875053 -> Switched to Qt5 (last snapshot of the alpha of the new 0.5).

  • nomnom 875055 -> video downloader/grabber, last upstream release in 2011, probably not working anymore; candidate for removal (?DebianBug: 922781) -> Removed, RoQA.

  • noblenote 875054 -> Switched to Qt5

  • ntrack 875059 -> Removed

  • ns3 875071 Switched qto Qt5.

  • nuapplet 875060 Removed, RoM.

  • nzb 875062 Removed

  • octave 875063 Switched to Qt5.

  • octomap 875064 Switched to Qt5.

  • odin 875065 -> Switched to Qt5

  • ofono-phonesim 875066 -> Removed

  • okular 875067 -> Qt5 since KDE Applications 16.12

  • openambit 875068 -> Re moved from the archive.

  • opencolorio 875069 -> Switched to Qt5.

  • openimageio 875072 -> Switched to Qt5.

  • openms 875073 -> no Qt5 support in released version or in the 'develop' git branch, but there is a 'feature/qt5' branch

  • openmw 875081 -> support for building with Qt5 is available 0.37.0, according the release notes

  • openpref 875074 -> Switched to Qt 5.

  • opencsg 875070 -> Switched to Qt5

  • openscenegraph 875075 -> Switched to Qt5

  • opensesame -> Removed

  • openteacher 875076 -> Removed

  • ophcrack 875082

  • ostinato 875077 -> Switched to Qt5

  • otb 875083 -> "This migration can be planned for version 6.4 (which should arrive around December 2017)." -> Migrated to Qt5 with new release.

  • oxygen 875078 -> Dropped Qt4 support

  • packagesearch 875079 -> Switched to Qt5.

  • pairs 875080 -> dropped (use the similar activity in gcompris-qt) Removed, RoM.

  • palapeli 875084 -> Qt5 since KDE Applications 17.12

  • paraview 875086 -> a Qt5 version was uploaded for a while but then reverted (see 821091 ), maybe it can be tried again

  • pcp 875093 -> Switched to Qt5.

  • pfstools 875094 -> Switched to Qt5 (with a patch backported from the upstream WIP Qt5 branch).

  • pianobooster 875089 -> Ported to Qt5

  • picard -> a Qt5 version was released and packaged; Qt5 packages since 2.0.4-1 (now 2.1.0-1)

  • phonon 875095 -> removed Qt 4 support.

  • phonon-backend-gstreamer 875087 -> removed Qt 4 support, kept Qt 5 one.

  • phonon-backend-vlc 875088 -> Dropped Qt4 support

  • pinentry-x2go 875090 -> Switched to Qt5.

  • pivy 875099 -> Switched to Qt5

  • plasma-widget-yawp 875100 -> "no Qt5 version planned -> only works with Plasma 4" -> Removed.

  • plplot 875101 Ported to Qt5.

  • pokerth 875091 -> Switched to Qt5-only build.

  • polkit-qt-1 875092 -> Dropped Qt4 support

  • poppler 875096 -> "different backends -> just drop the Qt4 version when there are no dependencies"

  • populations 875097 -> Ported to Qt5

  • portabase 875098 -> Removed

  • postbooks 875102

  • postbooks-updater 875103

  • prerex 875104

  • prison 875105 -> Removed, RoM

  • projectm 875112 -> Qt5 support since version 2.2.1 (2018-04-06) -> Removed from unstable, awaiting others to reintroduce later.

  • promoe 875117 -> Orphaned, upstream development stalled -> Removed: 904865

  • psi 875119 -> Upstream version 1.2 supports/requires Qt5

  • psi-plus-l10n 875110 Ported to Qt5

  • psi-translations 875111 -> Migrated to Qt5 toolchain.

  • puddletag 935346 -> Removed

  • pulseview 875113 -> Switched to Qt5.

  • pykde4 875118

  • pymecavideo 875120 -> Ported to Qt5.

  • pynagram -> dead upstream, RM proposed -> Removed, RoQA.

  • pypibrowser -> dead upstream -> RM Bug submitted 905804 -> Removed.

  • pyqwt3d 875116

  • pyqwt5 875115 -> Removed

  • pysatellites 935347 -> Switched to Qt5

  • pyside 875122 -> Removed

  • pyside-tools 875114 -> Removed

  • python-pyface 935349 -> Switched to Qt5

  • python-pyqtgraph 843897 -> Switched to Qt5

  • python-whiteboard 875121 Switched to Qt5.

  • python-qt4 875109 -> Removed

  • pythonqt 875108 Switched to Qt5.

  • qbzr 935351 -> Removed

  • qca2 875133 -> Dropped Qt4 support

  • qscintilla2 875144 -> Dropped Qt4 support

  • qcomicbook 875129 -> "version 0.9.1 uses Qt5 -> uploaded"

  • qct -> RFA; RFA says should be removed -> Removed, ROM.

  • qimageblitz 875130 -> Removed

  • qimhangul 875131 -> RoM, there are alternatives for Qt5.

  • qink 875132 Orphaned, no upstream Qt5 version. -> Removed, RoQA.

  • qjoypad 875137 -> Switched to qt5

  • qjson 875139 -> Removed

  • qliss3d 875140 -> Removed

  • qgis 875135 -> at least the version 2.18.12 (released on 18.08.2017) can be compiled with Qt5, but Qt5 is not supported upstream until 3.0. The package in Debian will be switched to Qt5 when 3.4.x LTR enters the upstream Long-Term Repo. -> 3.4.x uploaded to sid and migrated to testing.

  • qpxtool 875141 -> Ported to Qt5

  • qr-tools 875142 Switched to Qt5. (debian-specific patch)

  • qrfcview 875143 -> No upstream activity since 2006, no debian maintainer activity since 2008, no upload since 2013, package removal planned, query sent to package maintainer -> Removed.

  • qsapecng 875138 -> Removed.

  • qstardict 875145 -> Ported to Qt5.

  • qt-assistant-compat 875151 -> Removed

  • qt-at-spi 875146 -> Removed

  • qt-gstreamer 875147 -> Qt4 parts dropped

  • qt-sdk 875154 Removed, RoM.

  • qtads 875157 -> Switched to Qt5

  • qtcurve 875149 -> Dropped Qt4 support

  • qt4reactor 935350 -> Removed form the archive.

  • qtexengine 875158 -> Removed

  • qthid-fcd-controller 875160 -> Ported to Qt5

  • qtiplot 875150 -> Removed

  • qtkeychain 875152 -> can be compiled for both Qt4 and Qt5 -> Switched to Qt5.

  • qtm 875161 -> Removed

  • qtop 875162 -> Switched to Qt5.

  • qtruby 875153 Removed, RoM.

  • qtscriptgenerator 875155 -> needed by src:amarok -> Removed.

  • qtscrob 875156 -> Switched to Qt5.

  • qtsmbstatus 875163 -> Removed

  • qtwebkit 875159 -> Removed

  • qwt 875165 -> Dropped Qt4 support

  • qwt5 875166 -> Removed

  • qt4-perl 875148 -> RM Bug submitted RoQA 904583 -> Removed.

  • qemuctl 875134 -> Removed

  • qmpdclient 875136 -> Removed

  • qwbfsmanager 875164 -> Removed

  • qwtplot3d 875167 -> Ported to Qt5.

  • qxmlrpc 875178 -> Removed

  • radium-compressor 875168 -> Ported to Qt5

  • razorqt 875169 -> Removed

  • rinputd 875170 Removed, RoM

  • rkward 875171 -> "framework branch available -> not ready yet" -> Ported to Qt5.

  • rlplot 875172 -> Removed

  • robocut 875173 Switched to Qt5.

  • robojournal 875174 -> Removed, RoM.

  • sailcut 875175 Already Qt5.

  • scantailor 875176 -> Removed

  • scap-workbench 875177 -> Removed

  • scidavis 875251 -> Removed from the archive

  • scim 875250 → Dropped Qt4 support

  • scolasync 935183 ->

  • screenie-qt 875179 -> Upstream dead (Google Code), no package maintenance activity in the last 8 years -> Removed, RoQA.

  • scribus 875180 -> Switched to Qt5

  • seascope 875500 -> dead upstream? -> Removed.

  • shelxle 875189 -> Switched to Qt5

  • shiboken 875190 -> Removed

  • sigviewer 875191 -> Switched to Qt5

  • simplescreenrecorder 875192 -> Switched to Qt5.

  • smokegen 875181 -> Removed.

  • smokeqt 875193 -> RM Bug submitted ROM 904584 -> Removed.

  • smpq 875182 -> KDE4 kio binary package dropped.

  • sni-qt 875183 -> Removed

  • soprano 875185 -> Removed, RoM

  • soqt 875186 -> Switched to Qt5

  • soundkonverter 875187 -> Switched to Qt5/KF5

  • soundscaperenderer 875188 -> Switched to Qt5

  • starpu-contrib 875196 -> Switched to Qt5

  • stretchplayer 875195 -> Switched to Qt5

  • structure-synth 875203 -> Switched to Qt5

  • stopmotion 875194 -> Switched to Qt5

  • subcommander 875204 -> Orphaned, last upstream activity in 2009 -> Removed, RoQA.

  • subdownloader -> dead upstream? no source code on the homepage -> Upstream migrated to pyqt5.

  • suil 875205 -> "dual link to Qt4 and Qt5; Qt4 was dropped in the Debian git repository, maybe requires a team upload, but maybe also better wait for the next version, see https://bugs.gentoo.org/631914#c2 -> uploaded new package without Qt4 support."

  • svgpart 875197 -> Qt5 since KDE Applications 16.12

  • sweeper 875198 -> Qt5 since KDE Applications 17.12

  • swift-im 875212 -> Switched to Qt5

  • syncevolution 875215 -> Removed

  • synergy 875199 -> Removed

  • syrthes 891993 -> Remo0ved GUI using Qt

  • tagainijisho 875200 -> Removed

  • tagua 875201 -> Switched to Qt5.

  • taurus 875202 -> Migrated to ?PyQt5.

  • telepathy-qt 875206 -> Qt4 parts dropped

  • tipp10 875207 -> Switched to Qt5

  • tora 875208 -> Removed

  • traverso 875209 -> upstream site in maintenance since 2014... -> Switched to Qt5.

  • treeline 875210 -> Ported to Qt5.

  • trimage 935352 -> Ported to Qt5

  • ttfautohint 875211 -> Switched to Qt5.

  • txtreader 875213 -> dead upstream, looking for removal -> Removed, RoQA/RoM.

  • uicilibris 875223 -> RM Removed.

  • udj-desktop-client 875214 -> Upstream and Maintainer inactive -> RM Bug filed 902964 RoQA -> Removed.

  • uim 875216 -> Dropped Qt4 build (already builds Qt5 module)

  • ultracopier 875217

  • unetbootin 875218 -> Removed from the archive, QA. "Known upstream -> should take minimal effort to port -> bumped."

  • universalindentgui 875228 -> Removed from the archive.

  • unixodbc-gui-qt 875219 -> Removed

  • usbguard 875220 -> Removed a spurious build-dependency on Qt4

  • v4l2ucp 875221 -> Removed

  • valkyrie 875222 -> Removed

  • veusz 875232 -> version 3.0.1 in sid uses Qt5 but it has transition issues -> Fully migrated.

  • videocut 875224 See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=875224#10. Removed, RoM.

  • virtualjaguar 875225 -> Switched to Qt5

  • vistrails 935353 -> Switched to Qt5

  • vitables 935354 -> Switched to Qt5

  • viva 875226 -> Upstream inactive, removed

  • vmpk 875238 -> Switched to Qt5

  • voxbo 875227 -> Removed

  • webkit-image 875229 -> Removed, RoM

  • webkitkde 875239 -> Removed, RoM

  • witty 875230 -> can be compiled without Qt4; package basically abandoned, only in sid, many fixes and a new major upstream release not packaged -> Removed.

  • woo 875231 -> the last git snapshot supports also Qt5; the package is only in sid -> Removed, ROM.

  • wpa 875233 -> Switched to Qt5

  • writetype 875234 -> Removed

  • wsjtx 875235 -> last version(s) supports Qt5, packaging ongoing for version 1.8 (see 906899 )

  • x2goclient 875236 -> Ported to Qt5.

  • yagf 875243 -> Switched to Qt5

  • xca 875237 -> Switched to Qt5

  • xdrawchem 875245 -> Ported to Qt5.

  • xflr5 875240 -> Removed

  • xxdiff 875241 -> Switched to Qt5.

  • yabause 875242 -> Switched to Qt5

  • zbar 875246 -> Upstream inactive since 2012 -> Qt4 part removed.

  • zeroconf-ioslave 875244 -> Qt5 since KDE Applications 17.12